package demo

/**
 * A entity object, like in any other Java application.
 * uses Grails's GORM
 */

// @SuppressWarnings("serial")
public class Customer implements Serializable, Cloneable, Comparable {

    String firstName = ""
    String lastName = ""
    Date birthDate
    CustomerStatus status = CustomerStatus.ImportedLead;
    String email = ""

    static constraints = {
        firstName   blank:false, nullable:false, maxSize:50
        lastName    blank:false, nullable:false, maxSize:50
        email       blank:false, nullable:false, maxSize:50, email:true
    }

    static mapping = {
        table 'customer'
        version false
        firstName   column:'firstname'
        lastName    column: 'lastname'
        email       column: 'email'
    }

    @Override
    public String toString() {
        return firstName + " " + lastName;
    }

    int compareTo(Object other) {
        this.toString().compareTo(other.toString())
    }

}
